> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get native coin holders list

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /addresses
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /addresses:
    get:
      summary: get native coin holders list
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_addresses
      responses:
        '200':
          description: token
          content:
            application/json:
              schema:
                type: object
                required:
                  - exchange_rate
                  - total_supply
                  - items
                  - next_page_params
                properties:
                  exchange_rate:
                    type: string
                    example: '0.01'
                  total_supply:
                    type: string
                    example: '100000000'
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/AddressWithTxCount'
                  next_page_params:
                    type: object
                    example:
                      fetched_coin_balance: '269536604956070000000'
                      hash: '0xf74769d9ffe1cd17f20b283995cf9e7fa2a262ed'
                      items_count: 50
        '400':
          description: bad input parameter
components:
  schemas:
    AddressWithTxCount:
      allOf:
        - $ref: '#/components/schemas/Address'
        - type: object
          required:
            - transactions_count
          properties:
            transactions_count:
              type: string
              example: '1234'
    Address:
      type: object
      required:
        - hash
      properties:
        creator_address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        creation_transaction_hash:
          type: string
          example: '0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924'
        token:
          $ref: '#/components/schemas/TokenInfo'
        coin_balance:
          type: string
          example: '10000000'
        exchange_rate:
          type: string
          example: '1.01'
        implementation_address:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        block_number_balance_updated_at:
          type: integer
          example: 27656552
        hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        implementation_name:
          type: string
          example: implementationName
        name:
          type: string
          example: contractName
        is_contract:
          type: boolean
        private_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        watchlist_names:
          type: array
          items:
            $ref: '#/components/schemas/WatchlistName'
        public_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        is_verified:
          type: boolean
        has_beacon_chain_withdrawals:
          type: boolean
        has_logs:
          type: boolean
        has_token_transfers:
          type: boolean
        has_tokens:
          type: boolean
        has_validated_blocks:
          type: boolean
        creation_status:
          type: string
          example: selfdestructed | failed | success
    TokenInfo:
      type: object
      required:
        - address
        - circulating_market_cap
        - icon_url
        - symbol
        - name
        - decimals
        - type
        - holders
        - exchange_rate
        - total_supply
      properties:
        circulating_market_cap:
          type: string
          example: '83606435600.3635'
        icon_url:
          type: string
          example: >-
            https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png
        name:
          type: string
          example: Tether USD
        decimals:
          type: string
          example: '6'
        symbol:
          type: string
          example: USDT
        address_hash:
          type: string
          example: '0x394c399dbA25B99Ab7708EdB505d755B3aa29997'
        type:
          type: string
          example: ERC-20
        holders_count:
          type: string
          example: '837494234523'
        exchange_rate:
          type: string
          example: '0.99'
        total_supply:
          type: string
          example: '10000000'
    AddressTag:
      type: object
      required:
        - address_hash
        - display_name
        - label
      properties:
        address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label
    WatchlistName:
      type: object
      required:
        - display_name
        - label
      properties:
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label

````